import { ReactNode } from 'react';
import { create } from 'zustand';

interface IModalState {
  modal: ReactNode | null;
  setModal: (modal: ReactNode) => void;
}

export const useModalStore = create<IModalState>(set => ({
  modal: null,
  setModal: modal => set({ modal }),
}));
